---
title: 关于
lastmod: 2025-04-13
---

老友，很高兴您能前来。这里是一座名为「园子」的小岛，茫茫的信息海洋中的一个草木葳蕤的角落。

这里是园子的总信息公示板，希望能帮助您更好的了解园子，以及园子的主人（也是 [*Residencia 0x001B*](/links) 的舍长和普通居民）。

> [!TIP]
> 如果您感觉口渴，公共空间有茶水和点心，请自取。

## 👨‍💻 个人简介

### 📄 基本信息

这里是 Chlorine，可以叫我小氯，或是其他顺口一点的称呼也无妨。

目前旅居地球，就读于某挺不错的大学，专业是某还算不错的交叉学科。如果您好奇是哪个的话……嗯，反正不是霍格沃茨啦。不过我相信，相比于好奇我的背景，我在此处栽培的花草应当会更值得您花去一点闲暇的。

我对星座和 MBTI 之类带或者不带神秘色彩的人格分类持保留态度，也并不倾向于用一个或者几个词汇概括自己的意识形态。如果您希望快速地了解小氯是个怎样的人，读这篇 About 或许是个更好的选择。

### 📙 个人经历

其实也没什么经历可言。一颗小小哒原子，从世界的一个不起眼的角落诞生，走过若干的坎坷和坦途。目前正处在人类口中「最好的年纪」。

### 🪄 所爱与厌

小氯喜欢的东西有很多：喜欢可口的食物，喜欢甜甜的果茶，喜欢优雅的公式，喜欢精美的软件，喜欢隽永的书籍，喜欢好看的画作，喜欢高精尖的电子产品，喜欢在晴朗的下午在阳光灿烂的公共空间闲坐品茶，喜欢在夏天的晚上在晚风轻拂的操场和朋友们一起唱歌，喜欢世间的一切自由、美好与爱。

小氯的情绪大抵还算稳定，也没有什么特别的忌讳。但是小氯的确很难对一些事物有好感，例如 DDL、不洁净、海鲜、昆虫、内卷、容易断墨的笔、几十个 G 的安装包、傲慢、偏见和没有说明文档的代码。当然，若是面对谎言、背叛、贪婪、蔑视、处心积虑、恶意伤害之类，小氯不保证自己不会情绪失控，拿出自己的本体单质请您品尝。

### ⛴️ 生命愿望

- [ ] 前往曾经最喜欢的高校，Richard Feynman 工作过的 California Institute of Technology 朝圣
- [ ] 找到一份喜欢的工作
- [ ] 在现实中拥有一个自己的秘密基地
- [ ] 成为一位还不错的开发者
- [ ] 成立一个开源基金会或类似的组织
- [ ] 以人类的身份，充实而有意义地过完一生

### 📬 联系方式

- Email（请将 [at] 替换为 @）：`hi[at]本站域名`。
- Telegram: @chlorine3545
- [Matrix](https://matrix.org)
  - 主账号: @chlorine:eigen.im
  - 备用账号: @chlorchan:matrix.org

一些沟通方式的建议：

- 如果希望发表一些关于小氯、园子或者是园子里的植物的评价或者言论，同时不要求绝对的私人性，使用评论即可。
- 如果希望有一次比较实时的沟通，可以使用 Matrix。如果您喜欢的话，也可以使用 Telegram，但是请注意，小氯**只接受端到端加密的 Chat**。
- 其他所有情况，请使用 Email。GPG 加密是被鼓励的，但小氯不一定打得开。

### 🔑 OpenPGP Public Key & Fingerprint

> [!IMPORTANT]
> 小氯已经在 2025-02-19 23:31:15 (UTC+8) 完成了全面的 OpenPGP Refactor，此后很长一段时间内，这个配置应该都不会发生变化了。

小氯的 OpenPGP Key Fingerprint 为：

```txt
6D5B304A9092892A6ABA149D3CA88990BB4FC521
```

以下是相应的 OpenPGP 公钥包，包含了小氯所有的公钥信息。如果您希望给小氯发送一封私密的邮件，可以采用公钥进行加密，以及验证发来的邮件是否是小氯签名后的邮件。

```txt
-----BEGIN PGP PUBLIC KEY BLOCK-----

mDMEZ2kl4hYJKwYBBAHaRw8BAQdAWPUIonMJmDSOdLW+a+OxfZXairDQFfAly5ou
ugtnCe+0FkNobG9yaW5lIDxoaUBjaGxvci5tZT6IlgQTFgoAPgULCQgHAgIiAgYV
CgkICwIEFgIDAQIeBwIXgAIbARYhBG1bMEqQkokqaroUnTyoiZC7T8UhBQJntfD5
AhkBAAoJEDyoiZC7T8Uh49YBAKIBhy+6eCzwhEg7WtaQFg5v00DYJYgUxz4GbJWd
dzvhAP9uvhjgzadcF6wFUR0rRI5vYjdqoZ1fcRac8K9S0/bcDLQ7Q2hsb3JpbmUg
KERldiBSZWxhdGVkLCBlLmcuIEdpdCBDb21taXQgU2lnbikgPGRldkBjaGxvci5t
ZT6IkwQTFgoAOwIbAQULCQgHAgIiAgYVCgkICwIEFgIDAQIeBwIXgBYhBG1bMEqQ
kokqaroUnTyoiZC7T8UhBQJntfD5AAoJEDyoiZC7T8Uhed4A/23YRmJOxeJB03Kr
x/GnCabX7aRbYfpIeXkib7bCr2ERAP4iOSj7i4cvYSmJqjjPISG2ug19LLN5KPJ3
6HZwFH7MD7g4BGdpJeISCisGAQQBl1UBBQEBB0Bhe/7KQ+dZenK1YyP3r2rq7CIV
1GtmfQU5RpezJuXpBQMBCAeIeAQYFgoAIBYhBG1bMEqQkokqaroUnTyoiZC7T8Uh
BQJnaSXiAhsMAAoJEDyoiZC7T8Uha1YA+wc/Ilweh8Zmat8ZwDt6ESikS2JBXR7u
dWriLL+C4bl3AP0SSm8fBtcTXPfPWSmeXSN44dSgE49a71r5/UjYsnH1B7gzBGe1
bBQWCSsGAQQB2kcPAQEHQDT/D1A0Dvs0tpmJ7E3v+VBr0be4h3f4SGwsLuxbojfZ
iO8EGBYKACAWIQRtWzBKkJKJKmq6FJ08qImQu0/FIQUCZ7VsFAIbAgCBCRA8qImQ
u0/FIXYgBBkWCgAdFiEEHVV+mjdXC+Ez4mhhWt/MlIuqRzoFAme1bBQACgkQWt/M
lIuqRzpwrgD/W4sAppm4TN5OK1m4zZn9GsrtFhygr2ZOfNVGTfcvAoYBAN8YekhY
9STTN1sWfuK1i6ykHQvzekjSrcV9XPsyctkOFPoA/i83gtUnf+B8X/R/4npVBjVt
Qtei5h+gdbDMol1bQEZ9AP0XSNnVtJx1K8ozes0Ew/+j07IuoqFgfdcVQfL9hSCp
A7gzBGe1cUkWCSsGAQQB2kcPAQEHQMs2Z/ZAQ9hF73q+PO8oIK6X65Kdwa7MUy/W
zuovOIm0iHgEGBYKACAWIQRtWzBKkJKJKmq6FJ08qImQu0/FIQUCZ7VxSQIbIAAK
CRA8qImQu0/FIeWYAQC8Pc+QVUv4UeRMkjJjFusJNCvwT7HuvQOt1xLtFSDxJQD+
OlTx0rgNbIEeU/QLbZjVAGDhkwBLT2x8HgNzDk5BrAY=
=wkxF
-----END PGP PUBLIC KEY BLOCK-----

```

## 🏠 园子简介

### 📜 基本信息

这里的完整名字是「Garden of Outlier」，没有中文名字。

这里是互联网中一个偏僻而籍籍无名的小岛，是我用日光，热茶和位流建造的秘密花园，是一片原教旨主义的知识旷野，也是一个灵魂的永久栖息地。

如果您觉得这个名字比较拗口，可以和小氯一样，叫这里「园子」。

### 📚 这里可能有什么

这里可能会随机刷新出各种乱七八糟的内容：从新的冒菜口味体验到后量子加密算法为何数学不可破，从坐飞机去看北极熊龇牙到用广义矩估计预测自己的考试成绩，从为什么你应该放弃 GitHub 到如何阻止搜索引擎乱看你的个人信息，从百年战争到底在打什么到瞪眼法求解散点图 Pearson 相关系数，从博客样式优化日志到作为助教我是怎么教学生写功利主义道德观的，从热牛奶的最佳温度探索到 *Manifest der Kommunistischen Partei* 读书笔记……

总而言之，咱搞的是通识教育嘛（~~俗称缝合怪~~），什么都会一点（骄傲脸）。

*当然，上面的是一个比较完整的设想，小氯目前的知识尚且十不足一。*

### ❌ 这里不会有什么

如上所述，小氯可能在这里讲任何自己感兴趣的事物，但有一件事绝对不会讲：**政治问题**。没别的意思——这个问题很容易引起不必要的争议，而这些争议对推进人类知识的进步帮助有限。我可以保证不越界，但如果您非要断章取义或者自行解读，恕小氯不负责。

### 🛠 技术架构

园子是一个静态小岛，其底层架构完全开源：

- 框架：[Hugo](https://gohugo.io)
- 主题：[Hermeneutics](https://codeberg.org/chlorine/hugo-theme-hermeneutics)
- 源代码托管：[Codeberg](https://codeberg.org/chlorine/blog) 和 小氯自己的 [Forgejo](https://foss.moe/chlorine/blog) 实例
- 评论系统：[Artalk](https://artalk.js.org)。

园子的部署和运行基于互联网大善人们提供的免费服务，这里请允许小氯对它们的慷慨致以真诚的谢意。

- DNS：[CloudFlare](https://www.cloudflare.com/)
- 托管：[Netlify](https://www.netlify.com/)
- 备份托管：在 [Vercel](https://www.vercel.com/) 和 [Cloudflare Pages](https://pages.cloudflare.com/) 进行了冷运行备份
- 图床：[Cloudflare R2](https://www.cloudflare.com/developer-platform/products/r2/)
- 静态资源加速：[jsDelivr](https://www.jsdelivr.com/) 及其镜像

### 📆 编年史

- 过去的历史：园子大致建立于 2023 年末，期间历经了数次各种各样的变更，但由于最近的改版，这部分历史已经被隐去。您可以认为，下面这里就是当今园子的 Genesis。
- 2024-04-19: 园子的重构初步完成，重新命名为「Garden of Outlier」。
- 2025-04-21: 得益于持续的探索，园子彻底摆脱了对 GitHub 的依赖，可以使用 Codeberg + Netlify 进行全自动部署。部署平台切换至 Netlify。

### ☕ Buy Me A Coffee?

如果您觉得小氯的文章还不错，希望支持一下园子的发展，那么非常感谢！您可以从以下渠道资助我的博客：

- 您当地的慈善机构的官方网站
- 您最喜欢的自由软件的 sponsor 页面
- 任何其他的比我更需要帮助的人

至于为什么不直接请小氯喝咖啡……抱歉哦，小氯的身体不太好，喝不了咖啡 (/ω＼)

Q：不行不行不行我就要请你喝咖啡！

A：~~应该不会有这么喜欢小氯的读者吧，不会吧不会吧……~~

十分感谢您的好意 OωO 如果您有这种想法，烦请您将您的捐赠，以我们共同的署名名义交给下列小氯正在支持的组织之一：

- [Codeberg e.V.](https://zh-hans.liberapay.com/codeberg/donate)
- [EFF](https://www.eff.org/pages/donate-eff)（电子前哨基金会）

这样可以帮小氯省下一些费用。

## 🤝 用户协议

据说，任何一个网站都需要有这部分，但小氯没有去验证这个说法的真假，

### 📖 版权信息

园子的全部文章均按照 [CC BY-NC-SA 4.0](https://creativecommons.org/licenses/by-nc-sa/4.0/deed.zh) 协议发布。之所以选择这个 CC 协议，是因为比较长，看着很厉害（不是）。

小氯不太喜欢自己的文章被转发或者转载，但如果您希望如此做，也可以联系我。

至于园子转载的文章……哦，园子不会转载文章。

### 🔒 安全政策

园子可能包含指向其他小岛（第三方网站）的链接。虽说小氯会尽可能保证链接的质量，但也难以对于每一个链接在每一个时间段做详细的排查。所以决定启程时，还请您多加小心。

### 🎙️ 互动规则

园子的互动和内容一样，基本没有禁忌。唯一的规则是：

> **Sine delictis, sine politicis.**

即是如此。

如果您真的想让小氯为难的话……那没办法，我可爱不代表我好欺负。小氯有信心让您的评论在被任何第三个人看到之前就去 `~/.Trash` 养老，也不保证尊重您的被遗忘权。

此外，如果您希望自己的发言是理性而令人愉快的，推荐 Občanské fórum 的八条规则。当然，这不是硬性规定。

### ℹ️ 隐私政策

#### 📈 统计分析

园子目前暂未添加任何统计或分析服务。我倒是想添加一个，但不知道用什么。

#### 🍪 Cookie 情况

园子是严格 Cookie-free 的，因此您可以对这方面完全放心。

#### 💬 评论隐私

评论的数据托管在小氯的个人 VPS 上，位于~~垃圾王~~ [RackNerd](https://racknerd.com) 的 LA 机房。虽说服务只要和牢美挂边隐私性就很可能值得怀疑，但小氯也没找到更好的方案。小氯想过注册一个 Hetzner，可惜没成功。

评论数据会保留（要不然那不叫评论），日志的话，除非系统整个炸掉需要 debug，不然小氯没时间看。

数据分享的话，只要您不在评论区搞事，小氯用自己的呆毛发誓不会把您的邮箱之类的信息交给任何第三方。唯一的风险是服务商强行窥探（极小概率，因为这严重违反了服务商的隐私协议），不过小氯的大部分个人项目也托管在上面，出了这种事咱们一起寄（不是）。

---

讲完了吗？或许就这些吧。如果您听得云里雾里，那也无妨，小氯的语言能力也并不是什么值得自豪的事情。

外面的天气多好啊。园子大部分时候都是这样，阳光灿烂，风蓬松而柔软。喝完这杯茶，如果您想接着听一点故事，那咱们不妨去阳台坐一坐；如果您想去看看外面的花草，那小氯陪您一起去走走吧。
