---
title: 理想乡构筑手记（2）：Hello，Céfiro
date: 2025-02-18
slug: hello-cefiro
featuredImage: https://img.viento.cc/cover/hello-cefiro-cover.webp
categories:
  - 百草园
tags:
  - 邮件
  - 博客
series: 理想乡构筑手记
summary: 邮件系统也值得你水一篇文章吗？！
description: 本文介绍了作者对个人域名邮箱、临时邮箱和事务性邮件的需求及最终选择方案。在个人域名邮箱方面，作者详细对比了国内外多种服务，最终选择了iCloud+ Mail，主要看重其与Apple生态的集成、相对较低的价格以及基本够用的功能和隐私性。对于临时邮箱，作者选择了Cloudflare Email Route，利用其便捷性和可扩展性，将邮件转发至现有邮箱。事务性邮件方面，作者选择了Resend，因其提供每日100封的免费额度和易用的API。文章也提到了配置iCloud+ Mail的一些细节和注意事项，以及对邮件隐私性的深入思考，强调了技术隐私的重要性。
wikilinks:
---

诸位老友，下午好。这里是再次回到学校~~坐牢~~的 Chlorine（悲）。

这几天（~~明明是十几天~~）小氯的 `_drafts` 文件夹里面已经躺了无数的草稿了，然而这个笨蛋一直在鸽（悲）。

那么今天讲讲园子邮件系统翻新的事吧。这是一篇水文，嗯。

前置介绍：园子的信息系统叫作「Viento」，西班牙语的「风」。而 Viento 的邮件系统——Viento Mail，有其专门的名字——Céfiro（字面意思为「西风」）。Céfiro 拥有园子内的任何邮递服务的唯一经营权。~~好吧好吧你开心就好~~。

## 小氯的需求

小氯大概需要这么几样东西：

- **个人域名邮箱**：作为平时的主力邮箱。
- **临时邮箱**：用来注册一些随用随抛的服务，~~或者是拿来薅新手免费额度~~。
- **事务性邮件**：用于园子的评论通知和 Newsletter 等（~~暂时还没有~~）。

### 个人域名邮箱

- ~~邮件服务一定要能发邮件——将军~~
- 可以接受的国内速度
- 足够的隐私性
- IMAP / SMTP 支持
- 自定义域名
- 不太高的价格

### 事务性邮件

- 有足够的免费额度
- 易用的 API
- 良好的发件送达率

看起来这个和第一个可以合并，例如使用 `infochan@本站域名` 发送事务性邮件。但是小氯不太喜欢这样，因为使用一个「个人」性质的邮箱去发送大量（迫真）的事务性邮件其实并不是什么好事，会增加被判定为 Spam 的风险。再说，Info 酱也不是小氯的附属品，分配一个这么私人化的地址有点不太好（~~Info 酱：我没意见喵~~）。

## 个人域名邮箱的选择

这是个漫长的过程。小氯纠结了好久，最终才下定了决心。国内外的域名邮箱多如牛毛，在这里报菜名疑似确实有点水长度了。所以小氯还是重点介绍一下自己**考虑过**的吧，余下的一笔带过即可。

此外，需要提前说明一点：**隐私性和匿名性是不同的**。隐私性有点像是医院的病历，这些信息和你强关联，但是医院承诺这些数据不会被无关人等或者恶意攻击者查看（但愿如此）；而匿名性就像假面舞会，任何人都可以参加和观察，但是他们不知道「那是你」。虽然说 Mailbox 使用各种方式（例如最小注册信息）也可以实现很高的匿名性，但是下面我们的讨论主要集中于「高隐私性」的象限。

![邮箱服务的隐私性-匿名性坐标系|430](https://img.viento.cc/20250214-privacy-and-anonymity-coordinate.svg)

### 国内的免费邮箱

目前已知的大概有这么几个：

- 阿里邮箱（依然可注册，但是入口很难找）
- 腾讯邮箱（可注册，需开通 WeCom）
- 网易邮箱（应该是免费的）
- 飞书邮箱（可注册）

如果要从其中对比一下的话，阿里邮箱和飞书邮箱应该算是体验比较好的。不过除非您对国内速度有着极端苛刻的要求并且不太在乎某些方面的问题，否则小氯不太推荐您碰这些东西。

### 国内的付费邮箱

嗯哼？

### 国外的免费邮箱

很遗憾，几乎没有。唯二可以算进这个类别的大概是 Lark（飞书的国际版）和 Zoho。Zoho 免费版不支持自定义域名，Lark 算是还不错的，但是据说有一些奇奇怪怪的限制，小氯没有过多研究。

### 国外的付费邮箱

#### Google Workspace &  Microsoft 365

两个大厂的产品。优点是老牌、认可度高且成熟，而且附带其他的高级功能，例如办公套件；缺点是相对较贵（Google Workspace 7 USD / mo，Microsoft 365 商业基础版 46 CNY / mo）。此外，这两个服务的隐私性有一定争议。虽然说牢谷和牢软的 Enshitification 大法应该还没修炼到第三层，但是鉴于 Gmail 和 Outlook 的情况，还是认真一点为好，例如把地区选到 GDPR 辖区（如果您能接受这个延迟）。

#### iCloud+ Mail

牢果的 iCloud+ 的一个小的附加服务。

iCloud+ Mail 的第一优点自然是与 Apple Eco 的深度集成，对小氯这种 Apple Eco 使用者来说很友好。此外，还有一个更重要的点是：**它便宜**。iCloud+ 美区的 50 GB 套餐只需要 0.99 USD / mo，堪称是所有域名邮箱中最便宜的。当然，由于奥斯曼帝国的传统艺能，土区的 iCloud+ 定价比美区、国区都便宜一些。不过就我们 50 GB 的套餐来说，只便宜了 1 ~ 2 CNY，对于小氯这个还需要用 iCloud 和 Apple ID 的家伙来说，实在是不值得大费周章。[^1]

当然，iCloud 的缺点也很明显：首先，与 Apple 生态强绑定，在其他系统的设备使用只能依靠网页端或者第三方邮件客户端，不如 Mail app 那么顺滑；其次，只有基本的邮件收发功能，没有高级的企业功能；以及，只支持五个自定义域名，每个域的地址只能设置三个。这么看，iCloud+ 大概定位上就是一个单纯的「个人或家庭用的域名邮箱」，而不是企业邮箱。当然，这不是什么大事：由于小氯只给自己用，开一个 Catch-All 即可。

至于隐私性嘛……只能说比 Gmail 和 Outlook 强吧。虽然说牢果主要卖硬件，不像牢谷那样完全靠吃数据过活，而且还有官方承诺「不扫描用户邮件**用于广告目的**」（我们姑且相信这是真的），但是，美国公司，你懂的。不过，虽说把数据交给大公司本身就不是个好主意，但有句老话说得好，「All big techs are awful, but some techs are more awful than others」（~~奥威尔：版权费交一下谢谢~~）。

#### Fastmail

著名的邮件服务，风评很好。存储空间慷慨，对于个人使用非常实惠（Individual 套餐有 60 GB）。价格方面中等偏高：Individual 套餐 6 USD / mo（年付 5 USD / mo）。不过如果是家庭装拼车 + 年付的话（假设这东西可以拼车），可以压到不到 2 USD，倒也算能接受。

唯一的缺点大概是价格，对于一个赛里斯的学生来说，一个月 30 多听着还是高了点，而且也没有教育优惠。

至于隐私性，小氯认为还是可以的，应该比牢果还强一些，对于我们这个级别的使用很不错了。但也并不特别值得放心。很简单：**澳大利亚属于五眼联盟**。FVEY 对待个人隐私是啥德行，我也不用多说了。

#### Zoho Mail Lite

Zoho Corporation Pvt. Ltd. 是牢印的一家公司（~~干净又卫生呐~~），在……嗯，基于云平台的企业级应用软件解决方案方面比较有名。其整套产品包括办公套件、CRM、企业邮箱、财务 / 人力 / 项目管理、客户支持、商业智能分析、低代码平台和营销自动化等。

Mail Lite 是 Zoho 的轻量级付费计划，1 USD / mo，性价比很高。不过据说有一些漏信的情况，咱也没试过，不能给出准确的评价。隐私方面的话，不能指望它有多好，但是肯定比 Gmail 强就是了。

#### ProtonMail / Tutanota

E2EE 邮箱两兄弟，由于有端到端加密，隐私性极好。价格中等偏高。缺点是使用自有的 E2EE（某种意义上说这也算是个优点），因此不能使用一般的 IMAP / SMTP 客户端。

#### RunBox / Mailbox / Migadu / Startmail ...

欧洲的活宝们，由于 GDPR 的制约，隐私性可能会比较好。小氯有点脸盲症，所以挑几个列个表格好了。

| 服务商       | 最低计划     | 国家      | 价格             | 存储空间  | 域名 / 别名数目                                                                                   | 收发件限制                    |
| --------- | -------- | ------- | -------------- | ----- | ------------------------------------------------------------------------------------------- | ------------------------ |
| Mailbox   | Standard | 🇩🇪 德国 | 3 EUR / mo     | 10 GB | 25 aliases @mailbox.org, 50 aliases @customdomains                                        | 不明                       |
| Runbox    | Mini     | 🇳🇴 挪威 | 84.95 USD / 3a | 10 GB | 5 email domain names, 100 aliases @runbox domains, Unlimited aliases on your domains    | 不明                       |
| Migadu    | Micro    | 🇨🇭 瑞士 | 19 USD / a     | 5 GB  | [Almost Unlimited](https://migadu.com/pricing/#what-is-the-domains-limit-on-the-micro-plan) | 200 in / d, 20 out / d |
| Startmail | Personal | 🇳🇱 荷兰 | 4.99 USD / mo  | 20 GB | one custom domain, Unlimited email aliases                                                | 不明                       |

很明显，小氯要多提一句 Migadu 这个显眼包。这个收发件限制看着实在是太离谱了，虽说你有无限的域名和别名，但是小氯也不用那么多啊（虽然说，从运营者的角度说，限制收发件数目而不是别名数目确实能更好地控制成本）。此外，虽然这家服务商位于瑞士，**但是他们的数据中心在法国，而且数据不加密**。用[他们自己的话说](https://migadu.com/procon/#in-switzerland-but-servers-are-not)：「We find EU privacy laws much more elaborate and restrictive than the Swiss ones. Switzerland used to be famous for banking secrecy, but that has nothing to do with digital data.」这话的对错我们姑且不评判，不过这么说确实……很有个性，不是吗？

### 自建邮箱

也就是自己找一台服务器或者 VPS 或者别的什么东西，自己搭一个邮件服务。优点是紫柚，缺点是除此之外。你不仅需要一个很干净的 IP，还需要部署一个合适的邮件服务器，配置各种乱七八糟的东西（IMAP / SMTP，SPF，DKIM，DMARC……），然后长期维护。虽然对于各位老友来说，这不算是高不可攀的技术门槛，但是整天自我运维也属实够累人的。

### 奇技淫巧

下面这些方案都挺偏门的，大家谨慎尝试。

#### Cloudflare + Resend

作为互联网大善人，Cloudflare 经常被用来搭各种奇怪的服务，临时邮箱算是其中一个，例如：

{{< github repo="dreamhunter2333/cloudflare_temp_email" >}}

这个服务可以搭配 Resend 这样的发件 API 以及 Proxy Server，作为一个真正的邮件服务。不得不说，开源社区的创造力是无限的。不过具体可用性如何，小氯就不清楚了。

#### Disroot + 捐赠

[Disroot](https://disroot.org) 是一个荷兰的非营利组织，以对抗科技巨头的垄断和数据收集为己任。他们提供了一系列的免费公共服务，电子邮件是其中之一。

根据 [Disroot 官方的说法](https://disroot.org/en/services/email)，他们为每一位捐赠金额达到或者超过 12 杯咖啡的捐赠者提供**终身**的自定义邮件域名服务。小氯不喝咖啡，因此不太清楚 12 杯咖啡是多少。不过如果打算长期使用的话，应该还是比订阅制服务合算的。

存储空间方面呢，Disroot 为每个注册账户的人都免费提供 1 GB 的空间，轻度使用倒是够，但是确实少了点。可以付年费扩容，不过价格也不算低。

## iCloud+ 配置

小氯最后选择的方案是 iCloud+ Mail（~~从长度也可以看出来~~），毕竟 iCloud+ 对小氯也是有用的，那为什么还要额外花一笔钱呢。

至于隐私性的问题？的确，小氯前面说了，iCloud+ 的隐私性也并不太好，容我解释一二。

由于电子邮件这种通讯方式本身的限制，其隐私性很难提高到一个接近完美的级别。例如，PGP / GPG，足够安全了吗？似乎是的。但是在量子计算机面前，RSA 和 ECC 也很难说立于不败之地。更严重的是，GPG 是没办法很好地加密邮件的元数据的，例如收发件人的地址和邮件的主题。这一点可以给社工学攻击留下巨大的漏洞。[^2]

除了技术问题，道德和政治问题也是值得考虑的问题。当我们说「我们信任某一家服务商」时，我们都或多或少地对这家服务商以及其宣誓效忠的法律寄予了一些道德上的信心。例如，我们一般认为 EEA 内的邮件服务比较可靠，是因为著名的 GDPR，但这也需要我们认为，除非是元首带着鸡农回来了，否则欧洲各国无论如何都会坚持保护用户的隐私，而不是将其用作武器和资源。此外，各种各样的军事和情报组织也值得警惕：例如，德国、荷兰等国是「十四眼联盟」（~~千手百眼巨人~~）的成员国，所以其官方监管的担忧要比北欧五国严重一些（**注意我说的不是「危险更高」**）；而北欧五国内，瑞典和丹麦的情况可能比较复杂（例如瑞典 FRA 曾经被指控与 NSA 合作），挪威、芬兰和冰岛的风险则相对低一点。但是**上面提到的所有国家都是北约国家**。瑞士一向自称（和被认为）是永久中立国，但是近些年的一些事情，也让人对所谓的「永久中立」难以寄予厚望。所以，小氯信任技术隐私的程度是远远高于道德隐私的。如小氯之前说过的：「**在进行任何技术实践时，都应以最坏的恶意度测人心**。」

所以，既然知道我们只能做这么多，那么为什么不选一个平衡隐私性、便利性和性价比的选择呢？而且，一般来说，除非您被顶级的社工学黑客或者某个国家的情报机构盯上了，否则只要您防着些社工学攻击，同时会耍一点 GPG，我们现在的邮件服务隐私程度就已经足够安全啦。如果您真的需要极高的加密级别，那小氯推荐您还是别用电子邮件了，加密即时通讯它不好嘛。

### 配置

关于 iCloud+ Mail 的配置，可以参考[芙樱竹老友的博文](https://blog.muna.uk/archives/iCloud-plus-mail.html)。iCloud+ 需要持续订阅，由于英区的 PayPal 绑不到美区的 iCloud，同时 BOC 的 Mastercard 也被拒付了（~~嘤嘤嘤~~），小氯采取的方法是往 Apple 账户里提前充好一笔钱，也就是买礼品卡，这个还是蛮容易的，Alipay 和 Apple 官网都可以操作。

### 其他问题

目前用了一个多月了，似乎也没有遇到什么问题，感觉还是不错的。

小氯在调查 iCloud Mail 的名声时，发现了极多的负面评论。不过它们的年代都比较久远了，大概是 iCloud Mail 刚出的时候。那个时候的 iCloud Mail 确实还有很大的进步空间。现在 iCloud Mail 的情况似乎已经改善不少。

之前还听过一种说法，iCloud+ Mail 不能用自定义域名地址发信。这应该也是比较老的说法，现在的 iCloud+ 已经支持了。只需要在登录第三方客户端时，使用你**原本的 iCloud Mail 地址登录**即可，而 Mail App 则有原生适配（如果您发现小氯发给您的邮件的地址不是 `hi@本站域名` 请一定一定要告诉小氯一声！ (＞ｍ＜)）。

## 临时邮箱

我们这里把临时邮箱理解为「Receive-only」的。临时邮箱的实现思路大致有两种：

- （拟）全功能：通过某种技术手段（例如 Cloudflare 全栈或者一个轻量级 IMAP 服务器），实现直接在服务内收取、存储和读取邮件。代表如各种基于 Cloudflare 的临时邮箱服务（可以看[这里](https://github.com/zhuima/awesome-cloudflare)）。
- 转发：服务本身并不存储邮件，而是作为代理将邮件转发到一个现成的邮箱地址。代表如 Forward Mail 和 Cloudflare Email Route。

小氯用的是 Cloudflare Email Route。简单来说，Cloudflare Email Route 就是通过将你的邮件相关 DNS 记录指向 Cloudflare 的服务器，让 Cloudflare 接管你的收件行为，例如发送至特定地址、发送到 Worker 或者直接抛掉。

这种方式最大的好处是简单，一分钟之内就能搞定。而且，这种方式可以给予你最大的潜在自由度。例如，小氯现在想把邮件内容解析一下发到 Bark？没问题，写一个 Email Worker 就行。接入一下大模型智能提取验证码？也可以，在 Email Worker 加入一个 API 调用就行。只要你懂一点 Cloudflare Workers 开发，你可以把这个服务玩出花来。

缺点嘛，大概就是：你需要先有一个值得你信任的邮箱地址。此外，你还得信任 Cloudflare。不过对于 Cloudflare 小氯还是比较信任的，总比牢谷牢软它们强多了吧。

邮件路由的配置极其简单。拿好你的域名，在侧边栏选择「电子邮件」-「电子邮件路由」，单击「开始使用」，跳过入门指南。然后按照「设置」的提示，添加相关的 DNS 即可。然后可以设置一个 Catch-All 规则，把所有地址的邮件转发到一个地址。

这个方法也可以用来创建无数个「不那么临时」的域名邮箱，用来注册各种服务。小氯就是这么干的。

如果您也想这样做，小氯这里有一点对防御黑客和社工学攻击可能有用的建议：

- 最好不要选择与主域名一致的域名，而是单独注册一个，最好能没有什么个人色彩，而是和公共邮件服务很像（如 `awesome-mailbox.net` 之类的）。
- 最好选择随机化前缀，配合密码管理器使用。例如，`giuln2iuy783y7@yourdomain.tld` 比 `chatgpt@yourdomain.tld` 好得多。

## 事务性邮件

事务性邮件提供商也很多，例如 SendGrid，Mailgun，AWS SES 等。小氯用的是 [Resend](https://resend.com) 。Resend 提供每天 100 封的免费额度，大体来说还算够用（~~够用：指用量不到 5 %~~）。

Resend 的配置没有太多好说的，注册账户，配置 DNS 记录再创建 API Key 即可。对于 Twikoo 来说，其使用的 Pushoo 没有对 Resend 的原生支持，因此需要手动配置各项信息。

- `SENDER_EMAIL`： `username@yourdomain.tld`
- `SMTP_SERVICE`：留空
- `SMTP_HOST`：`smtp.resend.com`
- `SMTP_PORT`：465
- `SMTP_SECURE`：`true`
- `SMTP_USER`：resend
- `SMTP_PASS`：Your API Key

目前用着还是不错的。关于送达率，小氯测试了以下邮箱：

- ✅ Gmail：完全正常。
- ✅ QQ 邮箱：完全正常。
- ⚠️ Outlook：会进垃圾箱（不过我也能料到，毕竟 Outlook 连牢软自家的邮件都敢扔垃圾箱）。
- ❌ 126：暂时性拒收，无报错信息。这个应该不是我的问题，是 126 邮箱服务器本身的问题。

如果发现 Céfiro 的邮件进了垃圾邮件，还请您手动捞一下 qaq

## 后记

似乎……也没什么可说的了？那就这样吧。~~你这个水文章的杂鱼杂鱼杂鱼~~！

## Honor Code

- [我的域名邮箱选择 - atpX](https://atpx.com/blog/my-email-domain-selection/)
- [使用 iCloud+ 自定义你的电子邮件域名 - 芙樱竹的博客](https://blog.muna.uk/archives/iCloud-plus-mail.html)

[^1]: 截至小氯写作本文，iCloud+ TR 50 GB 的价格是 24.99 TL（即 TRY，新土耳其里拉），按照小氯写下本文字时的国际货币汇率，大致相当于 5.04 CNY。而国区的价格为 6 CNY，美区的价格为 0.99 USD（大致相当于 7.22 CNY）。
[^2]: 这方面做得最好的应该是 Tuta。有 E2EE，能加密部分元数据，以及采用了后量子加密算法（[至少他们自己是这么说的](https://tuta.com/blog/post-quantum-cryptography)）。