---
slug: hello-quail
summary: 赞美Quail
tags:
  - Newsletter
  - Quail
  - 博客
  - 周报
title: Hello，Quail
date: 2024-07-01
description: Quail是一个免费且对大陆友好的Newsletter服务，帮助作者与读者保持联系并筹集资金。它支持多种推送方式，具有优秀的编辑器和后台，并计划支持更多功能。作者对Quail表示满意，并将在Quail上发布文章。
categories: ["逍遥游"]
featuredImage: https://img.viento.cc/cover/hello-quail-cover.webp
draft: false
---
> 《期末考试后的报复式更新》

芜湖，各位老友们好啊，我是 Chlorine。

有眼尖的老友应该已经发现了，在侧边栏的社交图标中，多出了一个订阅的图标……

没错，万众瞩目的 Newsletter 服务，它来力（喜）

## 什么是 Newsletter？

伟大的数学家柯西（Cauchy）曾指出，在研究积分或原函数的各种性质以前，应先证明它们的存在。

在我们讨论哪家 Newsletter 服务更好时，我们也应该先明确，什么是 Newsletter。

### 定义

简单来说，Newsletter（新闻订阅/电子报）就是通过电子邮件形式推送新闻、文章等内容。对于个人博客来说，就是通过邮件，向你的订阅者们推送你的更新文章。这种推送可以是定时的（例如每一周推送本周文章合集，或者推送周报），也可以是不定时的（例如每更新一次都推送，以及不推荐的想起来就推一次）。

### 好处

Newsletter 的好处是很多的，以下内容使用 Claude 3.5 概括：

在个人博客中配置newsletter（电子通讯）有许多好处。以下是一些主要优势：

1. 建立直接联系：

   - 与读者建立直接的沟通渠道
   - 增强与受众的互动和联系

2. 提高访问量：

   - 定期提醒订阅者访问你的博客
   - 分享新内容，吸引读者重复访问

3. 增加内容曝光：

   - 将博客内容直接发送到订阅者的收件箱
   - 扩大内容的传播范围

4. 培养忠实读者：

   - 通过定期沟通建立长期关系
   - 提供独家或额外内容，增加订阅者的价值感

5. 收集受众数据：

   - 了解订阅者的兴趣和行为
   - 通过分析数据改进内容策略

6. 潜在的收入来源：

   - 可以通过newsletter投放广告
   - 提供付费订阅选项

7. 提高品牌认知度：

   - 定期出现在订阅者的收件箱中，增加品牌曝光
   - 建立个人或博客的专业形象

8. 分享额外内容：

   - 发布博客文章以外的独家内容
   - 分享个人见解、行业动态等

9. 引导流量到其他平台：

   - 推广社交媒体账号
   - 宣传新项目或产品

10. 获取反馈：

   - 直接从订阅者那里获得意见和建议
   - 了解读者需求，改进内容质量

11. SEO优势：

   - 增加网站的回访率，可能对搜索引擎排名有积极影响

12. 建立社区：

   - 通过newsletter培养一个围绕你的博客的社区
   - 增强读者之间的联系和互动

通过配置newsletter，你可以更好地管理和发展你的博客受众，提高参与度，并可能为未来的项目或机会打下基础。

其实呢，在我看来，（以我的地位看）最主要的好处就是三个：**让读者更方便，让作者更认真，让双方更有感觉**。

## 曾经考虑过？

像 WordPress、Ghost 这样的动态博客大部分有自己的 Newsletter 服务，但是像 Hugo 这样的静态博客就没这个福气了。

### Mailchimp

chimp 是黑猩猩的意思，Mailchimp 的 logo 也是猩猩，不知道意思是不是「猩猩都会用」。

Mailchimp 是 NotionNext [官方推荐](https://docs.tangly1024.com/article/notion-next-mailchimp)的订阅服务，也是目前为止应用最广泛的邮件营销服务之一。不过，由于我当初没有配置成功（因为当初没有订阅者。我真傻，真的，我单知道订阅列表是空的时候需要等读者订阅，我不知道可以自己订阅自己）让我对这个平台印象不是太好，再加上这个平台的免费额度是越来越低，我直接放弃了。

### Tinyletter

我第一个接触的静态博客—— [夜猫日记](https://lillianwho.com/)采用的订阅服务，是 Mailchimp 家的。完全免费，大陆可以访问，可惜……没了。

### Substack

> [!IMPORTANT]
> 注意，从下面开始，就是另外一条赛道了。

Substack 实际上**并非是邮件营销平台，而是一个类似微信公众号的创作平台**。这个服务是免费的，只有在你盈利（如付费订阅）的时候才收费。只不过，Substack 在大陆的访问并不顺畅，而且当初我也并不是很想考虑这种平台式服务，所以，过。

### Revue

仅仅是在[这里](https://irithys.com/blog-newsletter/)听过名字。Twitter 家的，应该在大陆访问也不顺畅。

### 竹白

看名字就知道，是一个国内适配的平台。在国内的 Newsletter 中名声不小，不过听说并不是很好用（注：只是听说！各有所爱，请不要抬杠 qaq）。

### Listmonk

> 万物皆可开源。——小氯酱

没错，一个 Newsletter 服务，自托管，免费，开源。

听上去很好，不是吗？

但是我对着我那个不知道发什么癫部署什么都 502 的虚拟机的时候，我就戴高（乐不出来）了。

至于部署到 Railway 这类平台？算了吧。就那么点免费额度，还不知道什么时候就碰线了。

### 自己写

没错，在刚开始开发 Hugo Theme Efímero 的时候，我的第一想法真的就是自己写一个。

我当时的想法是：GitHub Actions 可以执行自动化任务，那为什么不让其读取新的文章，根据特定模板生成邮件，然后发出去？

想法一点问题没有，Python 和其他语言也早就有相应的邮件库了（我甚至实验成功了）。

问题是：**你有这本事吗？**

答案很显然：没有。于是，我遗憾地放弃了。如果有大佬能写出来，请一定要告诉我一声。

## Quail

好了，啰里八唆这么一堆，终于到了我们今天的主角了——**[Quail](https://quail.ink/)**。

什么是 Quail？援引官网的 First Line：

> 建立一个会员社区，与你的追随者保持连接，为你的创作筹集资金。

简单来说，和 Substack 有点像，但是对大陆友好，且对 Obsidian 兼容。

Quail 的优点如下：

- Chinese-mainland-friendly
- 免费，仅在有付费订阅时收费
- 支持电子邮件之外的推送方式（目前仅支持 Telegram 和 Discord，计划支持 LINE、WhatsApp、Slack 和微信等）
- 完善的 Markdown 支持
- 优秀的编辑器和后台
- Obsidian native support（通过 Quail 插件）
- 数据分析
- Atom feed
- 支持去中心化代币支付
- 数据导入和导出
- 简单易用
- 开源
- ……

缺点：反正我目前没发现，每天只能推送三篇文章算吗？

~~小声：什么肝帝一天更新这么多啊~~

当然，Quail 目前还在开发中，一些功能还不完善，例如文档汉化不完全（应该是为了推广所以优先国际化了？），有一些文档中提到的功能（例如自定义邮件格式，订阅商黑名单等）都没找到。这也算是缺点吧。

## 流程

### 注册 Quail 并创建频道

略，太简单了。

### 生成 API

在[这里](https://quail.ink/dashboard/profile/apikeys)创建就行。记好，下面要用。

### 安装 Obsidian Quail

在 Obsidian 插件市场搜索 Quail 安装即可。这个是作者[歌词经理](https://blog.lyric.im/)分支出来的插件，放心安装。无法访问 Obsidian 的老友可以借助 PKMer。

 安装启用后在插件设置界面填写自己的 API 密钥和 List ID 即可。

### 开写

然后，拿出你最爱的 Obsidian，写就可以了。Quail 贴心地提供了 AI 摘要功能。不过尴尬的是，我习惯在 `summary` 字段写一些俏皮话，`description` 写正经的摘要（用来 SEO），不知道怎么处理。

[这里](https://docs.quail.ink/zh/)是 Quail 的官方文档，有问题可以查一查。

### Efímero 主题适配

我本来想写一个漂亮的弹出式订阅窗口，可惜没那能耐，只能选一个最简陋的方式了。

直接在 `hugo.toml` 里加入配置：

```toml
[[params.social]]
    name = "Newsletter"
    url = "https://quail.ink/yoghurtlee"
    icon = "i-mdi-email-newsletter"
    enable = true
```

完事。就是吧……有那么亿点点不太显眼……

![](https://img.viento.cc/EMJ-lemmeexcuse.webp "镜座：你听我狡辩.webp")

## 总结

总体而言 Quail 还是很令我满意的，以后我的文章也会在 Quail 更新一份，兼具 Newsletter 和备份平台的作用。

最后，再放下我的订阅链接~

---

*下面的文字是在我用 Quail 发布后添加的*

Quail 的发布很省心，直接 publish 就行。不过不知道为什么没能 deliver，有可能是因为列表是空的。

老友们快来订阅啊 qaq

总体而言 Quail 还是蛮不错的，甚至可以直接当博客用。

以及，冷知识：Quail 的本意是鹌鹑 🤣
