<p align="center">
  <a href="https://gohugo.io">
    <img alt="Hugo" src="https://img.shields.io/badge/Built%20with-Hugo-ff4088?logo=hugo&logoColor=white&style=for-the-badge">
  </a>
  <a href="https://codeberg.org/chlorine/hugo-theme-hermeneutics">
    <img alt="Theme: Hermeneutics" src="https://img.shields.io/badge/Theme-Hermeneutics-8e44ad?style=for-the-badge">
  </a>
</p>

<p align="center">
  <a href="https://codeberg.org/chlorine/blog">
    <img alt="Codeberg" src="https://img.shields.io/badge/Codeberg-Code-blue?logo=codeberg&style=for-the-badge">
  </a>
  <a href="https://foss.moe/chlorine/blog">
    <img alt="Forgejo" src="https://img.shields.io/badge/Forgejo-Code-F05033?logo=forgejo&style=for-the-badge">
  </a>
  <a href="https://www.netlify.com/">
    <img alt="Netlify" src="https://img.shields.io/badge/Netlify-Deploy-00C7B7?logo=netlify&logoColor=white&style=for-the-badge">
  </a>
  <a href="https://www.cloudflare.com/developer-platform/products/r2/">
    <img alt="Cloudflare R2" src="https://img.shields.io/badge/Cloudflare%20R2-Assets-F38020?logo=cloudflare&style=for-the-badge">
  </a>
  <a href="https://www.jsdelivr.com/">
    <img alt="jsDelivr" src="https://img.shields.io/badge/jsDelivr-CDN-E84D3D?logo=jsdelivr&style=for-the-badge">
  </a>
</p>

📘 本 README 文件也提供 [英语 / English](./README.md) 版本。

这里是我的个人博客 [Garden of Outlier](https://chlor.me) 的全部源码，完全开源于 Codeberg 和我的个人 [Forgejo](https://forgejo.org) 实例，[MoeForge](https://foss.moe)。

## 🛠 技术栈

- 框架：[Hugo](https://gohugo.io)
- 主题：[Hermeneutics](https://codeberg.org/chlorine/hugo-theme-hermeneutics)
- 源代码托管：[Codeberg](https://codeberg.org/chlorine/blog) 和 [Forgejo](https://foss.moe/chlorine/blog)
- 评论系统：[Artalk](https://artalk.js.org)
- DNS：[CloudFlare](https://www.cloudflare.com/)
- 托管：[Netlify](https://www.netlify.com/)
- 备份托管：[Vercel](https://www.vercel.com/) 和 [Cloudflare Pages](https://pages.cloudflare.com/)
- 图床：[Cloudflare R2](https://www.cloudflare.com/developer-platform/products/r2/)
- 静态资源加速：[jsDelivr](https://www.jsdelivr.com/) 及其镜像

## ⚖️ 开源协议与版权归属

### 💻 代码

Hermeneutics 主题的源码依照 MIT 协议开源，请在[这里](https://codeberg.org/chlorine/hugo-theme-hermeneutics/src/branch/main/LICENSE)查看完整的 LICENSE 文件。

对于博客中涉及的其他代码性质片段，如无特殊说明，同样按照 MIT 协议开源。

### 📝 内容

`content` 下的所有文字内容依照 [CC-BY-NC-SA 4.0](https://creativecommons.org/licenses/by-nc-sa/4.0/deed.zh-hans) 协议分发。

### 🖼️ 图像

- 对于我拥有版权的图片，依照与 `content` 一致的协议分发。
- 对于网络图片，目前我还在整理其来源，版权归属于原作者。
- 对于 AI 生成图片（如[我的头像](./static/img/avatar.webp)），由于其版权归属的不明确性，我无法保证该头像的版权归属，也无法对因使用该头像而产生的任何版权纠纷承担责任。使用者应自行评估风险，并对自己的行为负责。如果您认为您拥有其中某图片的版权并对我如此使用该图片有异议，请联系我。