---
slug: weekly-4

summary: 浮生散记第四期
series: 岁时录
tags:
  - 博客
  - 周报
  - RSS

title: Ephemeralis-Weekly（4）：缝隙之间
date: 2024-08-02
description: 浮生散记第四期。作者回顾了自己的假期和工作情况，还介绍了RSS和独立博客的意义。
categories: ["人间世"]
featuredImage: https://img.viento.cc/cover/weekly-4-cover.avif
draft: false
wikilinks: true
---

各位老友们好，我是 Chlorine。

现在其实不是写周报的时间，但是考虑到下面几天的经历几乎一定会和这几天严重割裂，所以提前（延后）写一下周报，总结一下这几天令人一言难尽的小假期。

本文为园子周报——Ephemeralis Weekly（浮生散记）的第四期，日期范围为公历 2024 年 7 月 23 日至 7 月 2 日。祝食用愉快。

## 缝隙中的假期

如上期 [[Ephemeralis-Weekly（3）：执笔衔书]]所说，我前段时间的任务就是忙 Java 大作业的验收工作。在闯关（铜人音）后，我就提着行李箱，头也不回地坐上了回家的高铁。

其实这次回家有点无厘头。我几乎是在前一天晚上才定下来我要回去的，甚至由于这几天恶劣的天气，我原本定的高铁票还被取消了，搞得我差点红温。所幸后来递补上了一张票，还是直达的，还不错。

说起来这也是我第一次主要使用公共交通工具去火车站（当然一共也没去几次）。说起来也相当顺利，倒两班地铁再做一点公交车就到了。

由于时间比较充裕，就在火车站吃的午饭。吃的是金拱门（麦当劳），性价比嘛，emmm，他明明可以直接抢我 50r 的，却还要送我一份午饭。他真的，我哭死。

下面就是漫长的旅行了。路上无聊，我提前下了部电影，卓别林的《大独裁者》（B 站热心网友修复版）。这部片子之前看过一次，非常推荐。

很可惜，到家之后，沟槽的天气依然在追我。我有幸见证了东北罕见的梅雨天，我的被褥全天都是湿漉漉的。

## 写报告的人

我一直认为，我算是个「天生报告圣体」。只要是涉及到写报告的项目，我都能在很短的时间内拿出让你瞠目结舌的报告。这应当得益于我~~信口开河~~出口成章的能力，以及 Typora Theme Lapis 的美观。

![](https://img.viento.cc/IMG-20240802135217.avif "喜欢我一百页的大作业报告吗？")

但是我并不想在假期还要整天赶报告。很不幸，这件事由不得我。

如各位所见，我校会在适当的暑假组织同学们进行小学期和思政实践。我是我们支队专业调研组的组长（调研组分专业调研组和思政调研组），同时还是预调研报告的主理人。

听起来似乎还挺好，但是当你听完那些任务的时候可能就不会这么觉得了。

中间的过程我也不和大家细讲了，我害怕影响大家心情。总而言之就是反反复复改需求，常常是写到快结束了突然改要求。我写了好多个整天，更要命的是那几天我还在发烧，我现在都难以想象我是怎么活下来的。

![](https://img.viento.cc/IMG-20240802135757.avif "把我们各个组的同学都搞破防了")

反正最后终于是搞出来了，我们都累得够呛。当然，这并不算是抱怨，无论是老师还是同学还是对接方都在很努力很用心地做，只是大部分时候天不遂人愿罢了。

## V2RSS

本节标题来自 V2EX（Way to Explore）。

先做个科普（from Wikipedia）：

> RSS（英文全称：RDF Site Summary 或 Really Simple Syndication），中文译作简易信息聚合，也称聚合内容，是一种消息来源格式规范，用以聚合多个网站更新的内容并自动通知网站订阅者。使用 RSS 后，网站订阅者便无需再手动查看网站是否有新的内容，同时 RSS 可将多个网站更新的内容进行整合，以摘要的形式呈现，有助于订阅者快速获取重要信息，并选择性地点阅查看。

RSS 基于 XML 语言，是一种标准化的数据格式（由于我 OOP 的大作业写的就是 TinyXML2，Java 大作业更是天天用 XML 写布局，我对这个货相对还比较熟悉。简单来说相当于自定义标签和属性的 HTML）。 RSS Feed 文件包含了一系列的 `<item>` 元素，每个 `<item>` 代表一篇更新内容。RSS 阅读器可以解析 XML 文件，提取其中的关键信息并展示给用户。

简单来说，RSS 就像是一个网站的新闻推送，让你不用访问网站就能知道它更新了什么。RSS 的原理可以简单理解为以下几个步骤：

![](https://img.viento.cc/IMG-20240802141229.avif)

RSS 的好处大概就是（没错是用 AI 总结的\\逃）：

- **及时获取最新信息:**  订阅 RSS 后，网站更新的内容会自动推送到你的阅读器，无需反复访问网站查看。
- **高效阅读:**  RSS 阅读器会将多个网站的更新内容聚合到一起，方便你集中阅读。
- **节省时间:**  不用浪费时间浏览无关信息，直接获取你感兴趣的内容。

对于我本人而言，在很长（其实也不长。我的网络生活应该是从我上大学开始分界的）一段时间内，RSS 在我眼里就是一个完全没有什么实际影响的「光锥之外」的技术概念。而且，都 4202 年了欸，电子邮件我几乎都不看了，还指望我看 RSS？开什么玩笑捏。

然后当然就是大家喜闻乐见的打脸时刻。今天（2024.8.2）我光速下载了在 Apple 生态下久负盛名的 NetNewsWire，然后把自己平时喜欢逛的几个博友的网站和技术周刊都加了进去。

为什么呢？

> 我不到啊！

没错，我还真不怎么知道。大家就姑且认为我精力过剩了吧。反正我现在觉得 RSS 是个蛮好的东西。

如果大家希望通过 RSS 订阅我的博客：<https://chlor.me/index.xml>。

## 缝隙中的人

我们接着 RSS 讲。在今天刚刚搞好 RSS 的时候，我突然想起了当初和[孙哥](https://clf3.org)的对话：

![IMG-20240802142447.avif](https://img.viento.cc/IMG-20240802142447.avif)

孙哥是个技术人，并不怎么在乎博客折腾来折腾去这些事情。不过有一点是对的：RSS 确实是个很老的东西了。RSS 首次发布于 1999 年 3 月 15 日，最新版本的 RSS 2.0 也是 15 年前的事情了（RSS3 和传统的 RSS 很不一样，是去中心化技术的一部分）。现在还在用 RSS 读文章，就像是还在用老式收音机听广播一样。

**不过话又说回来，做独立博客这件事本身，不就是一件「老旧且过时」的事情吗？**

技术门槛高（相对于直接在现成的平台上写而言），时间投入大，即时互动少，没有推荐算法，没有依托平台的推流，盈利困难……怎么看，独立博客都是一项费力不讨好的小众爱好。

事实也的确如此。独立博客就像是数字汪洋中的孤岛，用自己的声嘶力竭演绎着什么叫作沧海一粟。

---

独博圈的大佬[杜老师](https://dusays.com)前些天发了一篇文章：[杜老师说稿件征集](https://dusays.com/730/)，向博友们征集感兴趣的素材和话题。

我感觉很有趣，下滑看看评论区，不同的博友们都开开心心地提着自己的见解。我忍不住也打了条应景的评论：

> 感觉独立博客做到杜老师这么出色，已经是整个博友圈的共同宝藏了。

是啊，共同的宝藏。就我有限的认识，独立博客的读者许多（甚至可以说是大部分？）也是独立博主，不同的见解、知识、经历和体验以 Hypertext Transfer Protocol 为载体在不同的个体之间流动，形成一个小众、冷清但又热闹的圈子。大家的身份不同、生活不同、喜好不同，但是既然都在做这些事情，那至少是有一部分共鸣的。那么，组成一个汪洋大海中的群岛，平时各自打理，时常互通有无，不好吗？

这应该也是我开始努力「对外航行」的原因。从「开往」的友链接力项目，到友链的扩列，到开始积极地「走街串巷」，去赛博拜访同样做着独立博客的老友们（老友是我的一个习惯用语，即使我们只认识了一分钟，如果灵魂相通，那也都是 friends that haven't met before）。

> 我的岛屿之上，荒无人烟。  
> 我捡拾山石的苔藓，  
> 焚烧风干的枯枝落叶，  
> 燃起火焰。
> 
> 有时候有人登岛，  
> 有时候一个人狂欢。

海平面淹没不了岛屿，无论网络如何变迁，我始终相信，独立博客作为一群「小众、过时、老派」的人的精神家园，会且始终会存在。

**毕竟，我们都是「活在世界缝隙中的人」**。

## 其他

- 写了个 Python 脚本，基本上解决了 Obsidian 图片压缩的问题，只是上传还有点麻烦。
- 奇怪的烤肉串，味道还不错。
- 最近开始重拾 TypeScript，不得不说 JavaScript 和 Java 是真挺像的。此外 `Bun.js` 真是宝藏运行时。
- 马上要飞去深圳了……祝我旅途愉快！